# coding=utf-8
from unittest import TestCase
from earthdiagnostics.ocean.convectionsites import ConvectionSites
from mock import Mock


class TestConvectionSites(TestCase):

    def setUp(self):
        self.data_manager = Mock()

        self.diags = Mock()
        self.diags.model_version = 'model_version'
        self.diags.config.experiment.get_chunk_list.return_value = (('20010101', 0, 0), ('20010101', 0, 1))

        self.psi = ConvectionSites(self.data_manager, '20000101', 1, 1, 'model_version')

    def test_generate_jobs(self):
        jobs = ConvectionSites.generate_jobs(self.diags, ['diagnostic'])
        self.assertEqual(len(jobs), 2)
        self.assertEqual(jobs[0], ConvectionSites(self.data_manager, '20010101', 0, 0, 'model_version'))
        self.assertEqual(jobs[1], ConvectionSites(self.data_manager, '20010101', 0, 1, 'model_version'))

        with self.assertRaises(Exception):
            ConvectionSites.generate_jobs(self.diags, ['diagnostic', '0', '0', '0', '0', '0', '0', '0'])

    def test_str(self):
        self.assertEquals(str(self.psi), 'Convection sites Startdate: 20000101 Member: 1 Chunk: 1')
