# coding=utf-8
from unittest import TestCase
from earthdiagnostics.ocean.psi import Psi
from mock import Mock


class TestPsi(TestCase):

    def setUp(self):
        self.data_manager = Mock()
        self.diags = Mock()
        self.diags.config.experiment.get_chunk_list.return_value = (('20010101', 0, 0), ('20010101', 0, 1))
        self.psi = Psi(self.data_manager, '20000101', 1, 1)

    def test_generate_jobs(self):
        jobs = Psi.generate_jobs(self.diags, ['diagnostic'])
        self.assertEqual(len(jobs), 2)
        self.assertEqual(jobs[0], Psi(self.data_manager, '20010101', 0, 0))
        self.assertEqual(jobs[1], Psi(self.data_manager, '20010101', 0, 1))

        with self.assertRaises(Exception):
            Psi.generate_jobs(self.diags, ['diagnostic', 'badoption'])

    def test_str(self):
        self.assertEquals(str(self.psi), 'PSI Startdate: 20000101 Member: 1 Chunk: 1')
