# coding=utf-8
from unittest import TestCase

from earthdiagnostics.constants import Basins
from earthdiagnostics.ocean.siasiesiv import Siasiesiv
from mock import Mock


class TestSiasiesiv(TestCase):
    def setUp(self):
        self.data_manager = Mock()

        self.diags = Mock()
        self.diags.model_version = 'model_version'
        self.diags.config.experiment.get_chunk_list.return_value = (('20010101', 0, 0), ('20010101', 0, 1))

        self.mask = Mock()
        self.psi = Siasiesiv(self.data_manager, '20000101', 1, 1, Basins.Global, self.mask)

    def test_str(self):
        self.assertEquals(str(self.psi), 'Siasiesiv Startdate: 20000101 Member: 1 Chunk: 1 Basin: Global_Ocean')
