# coding=utf-8

from mock import Mock
from unittest import TestCase
from earthdiagnostics.variable import CMORTable, VariableAlias


class TestCMORTable(TestCase):

    def setUp(self):
        self.frequency = Mock()

    def test_str(self):
        self.assertEquals(str(CMORTable('name', 'm', 'Month YEAR')), 'name')


class TestVariableAlias(TestCase):

    def test_str(self):
        alias = VariableAlias('alias')
        self.assertEquals(str(alias), 'alias')
        alias.basin = 'basin'
        self.assertEquals(str(alias), 'alias Basin: basin')
        alias.grid = 'grid'
        self.assertEquals(str(alias), 'alias Basin: basin Grid: grid')


